Skip to main content
GET
Read one channel and its runtime target

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

channel_id
string<uuid>
required

Response

Channel

id
string<uuid>
required
project_id
string<uuid>
required
binding_id
string<uuid>
required
installation_id
string<uuid> | null
required
platform
enum<string>
required
Available options:
slack
name
string | null
required
agent_id
string | null
required
Minimum string length: 1
assistant_id
string | null
required
Minimum string length: 1
enabled
boolean
required
platform_team_id
string | null
required
platform_bot_id
string | null
required
workspace_name
string | null
required
respond_to
enum<string>
required
Available options:
mentions,
direct_messages,
all
allowed_slack_channel_ids
string[]
required
allowed_channels
string[]
required
status
enum<string>
required
Available options:
connected,
needs_reauth,
error
welcome_message
string | null
required
error_message
string | null
required
max_response_tokens
integer | null
required
runtime_target_kind
enum<string>
required
Available options:
main_branch,
environment,
preview_branch
target_environment_id
string<uuid> | null
required
target_branch_id
string<uuid> | null
required
resolved_target
object
required
created_at
string
required
updated_at
string
required